Jira CLI(7)

NAME

jira-issue-create - Create an issue in a project

SYNOPSIS

jira issue create [flags]

DESCRIPTION

Create an issue in a given project with minimal information.

OPTIONS

--raw[=false]
    Print output in JSON format

-t, --type=""
    Issue type

-P, --parent=""
    Parent issue key can be used to attach epic to an issue. And, this field is mandatory when creating a sub-task.

-s, --summary=""
    Issue summary or title

-b, --body=""
    Issue description

-y, --priority=""
    Issue priority

-r, --reporter=""
    Issue reporter (username, email or display name)

-a, --assignee=""
    Issue assignee (username, email or display name)

-l, --label=[]
    Issue labels

-C, --component=[]
    Issue components

--fix-version=[]
    Release info (fixVersions)

--affects-version=[]
    Release info (affectsVersions)

-e, --original-estimate=""
    Issue Original estimate

--custom=[]
    Set custom fields

-T, --template=""
    Path to a file to read body/description from

--web[=false]
    Open in web browser after successful creation

--no-input[=false]
    Disable prompt for non-required fields

-h, --help[=false]
    help for create

OPTIONS INHERITED FROM PARENT COMMANDS

-c, --config=""
    Config file (default is /home/pbulk/.config/.jira/.config.yml, can be overridden with JIRA_CONFIG_FILE env var)

--debug[=false]
    Turn on debug output

-p, --project=""
    Jira project to look into (defaults to /home/pbulk/.config/.jira/.config.yml)

EXAMPLE
    $ jira issue create
    # Create issue in the configured project
    $ jira issue create -tBug -s"New Bug" -yHigh -lbug -lurgent -b"Bug description"
    # Create issue in another project
    $ jira issue create -pPRJ -tBug -yHigh -s"New Bug" -b$'Bug description\n\nSome more text'
    # Create issue and set custom fields
    # See https://github.com/ankitpokhrel/jira-cli/discussions/346
    $ jira issue create -tStory -s"Issue with custom fields" --custom story-points=3
    # Load description from template file
    $ jira issue create --template /path/to/template.tmpl
    # Get description from standard input
    $ jira issue create --template -
    # Create issue in the configured project with JSON output
    $ jira issue create --raw
    # Or, use pipe to read input directly from standard input
    $ echo "Description from stdin" | jira issue create -s"Summary" -tTask
    # For issue description, the flag --body/-b takes precedence over the --template flag
    # The example below will add "Body from flag" as an issue description
    $ jira issue create -tTask -sSummary -b"Body from flag" --template /path/to/template.tpl

SEE ALSO

jira-issue(7)

HISTORY

6-Apr-2026 Auto generated by spf13/cobra